package org.wso2.carbon.application.deployer.config;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class Association {

    private static final Log log = LogFactory.getLog(Association.class);

    private String sourcePath;
    private String targetPath;
    private String type;

    public String getSourcePath() {
        return sourcePath;
    }

    public void setSourcePath(String sourcePath) {
        if (sourcePath == null || sourcePath.length() == 0) {
            log.error("SourcePath of the association not found");
            return;
        }
        this.sourcePath = sourcePath;
    }

    public String getTargetPath() {
        return targetPath;
    }

    public void setTargetPath(String targetPath) {
        if (targetPath == null || targetPath.length() == 0) {
            log.error("TargetPath of the association not found");
            return;
        }
        this.targetPath = targetPath;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        if (type == null || type.length() == 0) {
            log.error("Type of the association not found");
            return;
        }
        this.type = type;
    }
}
