/*
 * Copyright (c) 2007, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.wso2.carbon.registry.core.test;

import org.wso2.carbon.registry.core.jdbc.InMemoryEmbeddedRegistry;
import org.wso2.carbon.registry.core.Registry;
import org.wso2.carbon.registry.core.RegistryFactory;
import org.wso2.carbon.registry.core.test.utils.BaseTestCase;

public class FactoryTest extends BaseTestCase {
    public void testFactory() throws Exception {
        // First confirm that a totally default config works.
        Registry reg = RegistryFactory.newInstance().getRegistry();
        assertNotNull(reg);
        assertTrue(reg instanceof InMemoryEmbeddedRegistry);
    }
}
