package org.wso2.carbon.user.core.profile;

import org.wso2.carbon.user.core.UserStoreException;

public interface ProfileConfigurationManager {

    ProfileConfiguration getProfileConfig(String profileName) throws UserStoreException;

    void addProfileConfig(ProfileConfiguration profileConfig) throws UserStoreException;

    void updateProfileConfig(ProfileConfiguration profileConfig) throws UserStoreException;

    void deleteProfileConfig(ProfileConfiguration profileConfig) throws UserStoreException;

    ProfileConfiguration[] getAllProfiles() throws UserStoreException;

}