<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<script type="text/javascript" src="../userstore/extensions/js/vui.js"></script>
<script type="text/javascript" src="../admin/js/main.js"></script>

<jsp:include page="../userstore/display-messages.jsp"/>

<jsp:useBean id="roleBean" type="org.wso2.carbon.user.mgt.ui.RoleBean" class="org.wso2.carbon.user.mgt.ui.RoleBean" scope="session"/>

<fmt:bundle basename="org.wso2.carbon.userstore.ui.i18n.Resources">
    <carbon:breadcrumb label="add.user.role"
                       resourceBundle="org.wso2.carbon.userstore.ui.i18n.Resources"
                       topPage="false" request="<%=request%>"/>

    <script type="text/javascript">
        function doValidation() {
            
            var fld = document.getElementsByName("roleName")[0];
            if(!validateName(fld.value)){
                return false;
            }

            return true;
        }

        function doCancel() {
            location.href = 'role-mgt.jsp?ordinal=1';
        }
        
        function doNext() {
            document.addRoleForm.action="add-step2.jsp";
            if(doValidation() == true){
                document.addRoleForm.submit();
            }
        }
        
       
    </script>
   


    <div id="middle">
        <h2><fmt:message key="add.user.role"/></h2>
        
        <div id="workArea">
            <h3><fmt:message key="step.1.role"/></h3>
            <form method="post" name="addRoleForm" onsubmit="return doValidation();" action="add-finish.jsp">
                <table class="styledLeft">
                    <thead>
                    <tr>
                        <th><fmt:message key="enter.role.details"/></th>
                    </tr>
                    </thead>
                    <tr>
                        <td class="formRaw">
                            <table class="normal">
                                <tr>
                                    <td><fmt:message key="role.name"/><font color="red">*</font>
                                    </td>
                                    <td><input type="text" name="roleName" value="<jsp:getProperty name="roleBean" property="roleName" />"/></td>
                                </tr>
                            </table>
                            <!-- normal table -->
                        </td>
                    </tr>
                    <tr>
                        <td class="buttonRow">
                            <input type="button" class="button" value="<fmt:message key="next"/> >" onclick="doNext();"/>
                            <input type="submit" class="button" value="<fmt:message key="finish"/>">
                            <input type="button" class="button" value="<fmt:message key="cancel"/>" onclick="doCancel();"/>
                        </td>
                    </tr>
                </table>
            </form>
        </div>
    </div>

</fmt:bundle>