<%@ page contentType="text/html;charset=UTF-8" language="java" pageEncoding="UTF-8" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.registry.core.RegistryConstants" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<%
	//Customization of UI theming per tenant
	String tenantDomain = null;
	String globalCSS = "../admin/css/global.css";
	String mainCSS = "";
	if (request.getSession()
			.getAttribute(CarbonConstants.TENANT_DOMAIN) != null) {
		tenantDomain = (String) request.getSession().getAttribute(
				CarbonConstants.TENANT_DOMAIN);
	} else {
		// user is not logged in or just logged out, but still they are inside url own to the domain
		tenantDomain = (String) request
				.getAttribute(CarbonConstants.TENANT_DOMAIN);
	}
	if (tenantDomain != null) {
		String serverURL = CarbonUIUtil.getServerURL(config
				.getServletContext(), request.getSession());
		String serverRoot = serverURL.substring(0, serverURL.length()
				- "services/".length());
		String themeRoot = serverRoot + "t/" + tenantDomain
				+ "/registry/resource"
				+ RegistryConstants.CONFIG_REGISTRY_BASE_PATH
				+ "/repository";
		mainCSS = themeRoot + "/theme/admin/main.css";
	} else {
		mainCSS = "../admin/css/main.css";
	}
	//read web application's title if it's set on product.xml
    String webAdminConsoleTitle = (String) config.getServletContext().getAttribute(CarbonConstants.PRODUCT_XML_WSO2CARBON +
            CarbonConstants.PRODUCT_XML_WEB_ADMIN_CONSOLE_TITLE);
%>
<head>
    <meta http-equiv="content-type" content="text/html;charset=utf-8"/>
    <%if(webAdminConsoleTitle != null && webAdminConsoleTitle.trim().length() > 0){ %>
    <title><%=webAdminConsoleTitle%></title>
    <%}else{ %>
    <title><tiles:getAsString name="title"/></title>    
    <%}%>
    <link href="<%=globalCSS%>" rel="stylesheet" type="text/css" media="all"/>
<%
	Object param = session.getAttribute("authenticated");
	if (param != null && (Boolean) param) {
%>
    <link href="../admin/jsp/registry_styles_ajaxprocessor.jsp" rel="stylesheet" type="text/css"
          media="all"/>
<%
	}
%>
    <link href="<%=mainCSS%>" rel="stylesheet" type="text/css" media="all"/>
    <link href="../dialog/css/jqueryui/jqueryui-themeroller.css" rel="stylesheet" type="text/css"
          media="all"/>
    <link href="../dialog/css/dialog.css" rel="stylesheet" type="text/css" media="all"/>
    <link rel="icon" href="../admin/images/favicon.ico" type="image/x-icon"/>
    <link rel="shortcut icon" href="../admin/images/favicon.ico" type="image/x-icon"/>

    <script type="text/javascript" src="../admin/js/jquery.js"></script>
    <script type="text/javascript" src="../admin/js/jquery.form.js"></script>
    <script type="text/javascript" src="../dialog/js/jqueryui/jquery-ui.min.js"></script>
    <script type="text/javascript" src="../admin/js/main.js"></script>
    <script type="text/javascript" src="../admin/js/WSRequest.js"></script>
    <script type="text/javascript" src="../admin/js/cookies.js"></script>
</head>
<%
	//set cookie containing collapsed menu items
	Object o = config.getServletContext().getAttribute(
			CarbonConstants.PRODUCT_XML_WSO2CARBON + "collapsedmenus");

    if(o == null) {
        o = CarbonUIUtil.getProductParam(CarbonConstants.PRODUCT_XML_WSO2CARBON + "collapsedmenus");
    }

	if (o != null) {
		ArrayList collapsedMenuItems = (ArrayList) o;
		Iterator itrCollapsedMenuItems = collapsedMenuItems.iterator();
		%>
		<script type="text/javascript">
		<%
		while (itrCollapsedMenuItems.hasNext()) {
			String menuItem = (String) itrCollapsedMenuItems.next();
			out.print("if(getCookie('" + menuItem + "') == null){\n");
			out.print("  setCookie('" + menuItem + "', 'none');\n");
			out.print("}\n");
		}
		%>
		</script>
		<%
	}
%>
<body>
<div id="dcontainer"></div>
<script type="text/javascript" src="../dialog/js/dialog.js"></script>

<!-- JS imports for collapsible menu -->
<script src="../yui/build/yahoo-dom-event/yahoo-dom-event.js" type="text/javascript"></script>
<script src="../yui/build/animation/animation-min.js" type="text/javascript"></script>
<script type="text/javascript">
//Javascript for collapsible menu
        var oneYear = 1000 * 60 * 60 * 24*365;
        var cookie_date = new Date ( );  // current date & time
        cookie_date.setTime ( cookie_date.getTime() + oneYear );

       function nextObject(obj) {
            var n = obj;
            do n = n.nextSibling;
            while (n && n.nodeType != 1);
            return n;
        }
        function mainMenuCollapse(img) {
            var theLi = img.parentNode;
            var nextLi = nextObject(theLi);
            var attributes = "";
            if (nextLi.style.display == "none") {
                //remember the state
                document.cookie = img.id + "=;path=/;expires=" + cookie_date.toGMTString();
                var ver = getInternetExplorerVersion();

                if (ver > -1)
                {
                    if (ver >= 8.0) {
                        attributes = {
                            opacity: { to: 1 }
                        };
                        var anim = new YAHOO.util.Anim(nextLi, attributes);
                        anim.animate();
                        nextLi.style.display = "";
                        nextLi.style.height = "auto";
                    } else {
                        nextLi.style.display = "";
                    }
                } else
                {
                    attributes = {
                        opacity: { to: 1 }
                    };
                    var anim = new YAHOO.util.Anim(nextLi, attributes);
                    anim.animate();
                    nextLi.style.display = "";
                    nextLi.style.height = "auto";
                }
                img.src = "../admin/images/up-arrow.gif";

            } else {
                //remember the state
                document.cookie = img.id + "=none;path=/;expires=" + cookie_date.toGMTString();
                var ver = getInternetExplorerVersion();

                if (ver > -1)
                {
                    if (ver >= 8.0) {
                        attributes = {
                            opacity: { to: 0 }
                        };
                        anim = new YAHOO.util.Anim(nextLi, attributes);
                        anim.duration = 0.3;
                        anim.onComplete.subscribe(hideTreeItem, nextLi);

                        anim.animate();
                    } else {
                        nextLi.style.display = "none";
                    }
                } else {
                    attributes = {
                        opacity: { to: 0 }
                    };
                    anim = new YAHOO.util.Anim(nextLi, attributes);
                    anim.duration = 0.3;
                    anim.onComplete.subscribe(hideTreeItem, nextLi);

                    anim.animate();
                }
                img.src = "../admin/images/down-arrow.gif";

            }
        }
       function hideTreeItem(state, opts, item) {
           item.style.display = "none";
       }
       YAHOO.util.Event.onDOMReady(setMainMenus);
        function setMainMenus(){
            var els = YAHOO.util.Dom.getElementsByClassName('mMenuHeaders', 'img');
            for(var i=0;i<els.length;i++){
                var theLi = els[i].parentNode;
                var nextLi = nextObject(theLi);
                var cookieName = els[i].id;
                var nextLiState = get_cookie(cookieName);
                nextLi.style.display = nextLiState;
                if(nextLiState == "none"){
                    els[i].src = "../admin/images/down-arrow.gif";
                } else{
                    els[i].src = "../admin/images/up-arrow.gif";
                }
            }
        }

        function get_cookie( check_name ) {
            // first we'll split this cookie up into name/value pairs
            // note: document.cookie only returns name=value, not the other components
            var a_all_cookies = document.cookie.split( ';' );
            var a_temp_cookie = '';
            var cookie_name = '';
            var cookie_value = '';
            var b_cookie_found = false; // set boolean t/f default f

            for ( i = 0; i < a_all_cookies.length; i++ )
            {
                a_temp_cookie = a_all_cookies[i].split( '=' );
                cookie_name = a_temp_cookie[0].replace(/^\s+|\s+$/g, '');
                if ( cookie_name == check_name )
                {
                    b_cookie_found = true;
                    if ( a_temp_cookie.length > 1 )
                    {
                        cookie_value = unescape( a_temp_cookie[1].replace(/^\s+|\s+$/g, '') );
                    }
                    return cookie_value;
                    break;
                }
                a_temp_cookie = null;
                cookie_name = '';
            }
            if ( !b_cookie_found )
            {
                return null;
            }
        }
        function getInternetExplorerVersion()
            // Returns the version of Internet Explorer or a -1
            // (indicating the use of another browser).
        {
            var rv = -1; // Return value assumes failure.
            if (navigator.appName == 'Microsoft Internet Explorer')
            {
                var ua = navigator.userAgent;
                var re = new RegExp("MSIE ([0-9]{1,}[\.0-9]{0,})");
                if (re.exec(ua) != null)
                    rv = parseFloat(RegExp.$1);
            }
            return rv;
        }
</script>


<table id="main-table" border="0" cellspacing="0">
    <tr>
        <td id="header" colspan="2"><tiles:insertAttribute name="header"/>
        </td>
    </tr>
    <tr>
        <td id="menu-panel" valign="top">
            <table id="menu-table" border="0" cellspacing="0">
                <tr>
                    <td id="region1"><tiles:insertAttribute name="region1"/></td>
                </tr>
                <tr>
                    <td id="region2"><tiles:insertAttribute name="region2"/></td>
                </tr>
                <tr>
                    <td id="region3"><tiles:insertAttribute name="region3"/></td>
                </tr>
                <tr>
                    <td id="region4"><tiles:insertAttribute name="region4"/></td>
                </tr>
                <tr>
                    <td id="region5"><tiles:insertAttribute name="region5"/></td>
                </tr>
                <tr>
                    <td><img src="../admin/images/1px.gif" width="225px" height="1px"/></td>
                </tr>
            </table>
        </td>
        <td id="middle-content">
            <table id="content-table" border="0" cellspacing="0">
                <tr>
                    <td id="page-header-links"><tiles:insertAttribute name="breadcrumb"/></td>
                </tr>
                <tr>
                    <td id="body">
                        <img src="../admin/images/1px.gif" width="735px" height="1px"/>
                        <tiles:insertAttribute name="body"/>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td id="footer" colspan="2"><tiles:insertAttribute name="footer"/></td>
    </tr>
</table>
</body>
</html>
