<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<%@page import="org.wso2.carbon.user.mgt.ui.UserAdminClient" %>
<%@page import="org.wso2.carbon.utils.ServerConstants" %>
<%@page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@page import="org.apache.axis2.context.ConfigurationContext" %>
<%@page import="org.wso2.carbon.CarbonConstants" %>
<%@page import="org.wso2.carbon.ui.CarbonUIMessage"%>
<%@ page import="org.wso2.carbon.user.mgt.common.IUserAdmin" %>

<%@page import="org.wso2.carbon.user.mgt.common.UserStoreInfo"%><script type="text/javascript" src="extensions/core/js/vui.js"></script>
<script type="text/javascript" src="../admin/js/main.js"></script>
<jsp:include page="../dialog/display_messages.jsp"/>

<fmt:bundle basename="org.wso2.carbon.userstore.ui.i18n.Resources">

<carbon:breadcrumb label="system.user.store"
        resourceBundle="org.wso2.carbon.userstore.ui.i18n.Resources"
        topPage="true" request="<%=request%>" />


    <script type="text/javascript">
        function doValidation() {
            var error = "";
        	error = validateEmpty("usersFile");
            if(error.length>0){
            	CARBON.showWarningDialog("Users file cannot be empty.");
            	return false;
            }
        	error = validateEmpty("password");
            if(error.length>0){
            	CARBON.showWarningDialog("Default password cannot be empty.");
            	return false;
            }
            return true;
        }
    </script>
    <div id="middle">
        <h2><fmt:message key="bulk.import.user"/></h2>
        <div id="workArea">
            <form method="post" action="bulk-import-finish.jsp" name="dataForm" enctype="multipart/form-data" onsubmit="return doValidation();">
            <table class="styledLeft" id="userAdd" width="60%">
                <thead>
                    <tr>
                        <th><fmt:message key="enter.file.details"/></th>
                    </tr>
                </thead>
                <tr>
                    <td class="formRaw">
                        <table class="normal">
                            <tr>
                                <td><fmt:message key="users.file"/><font color="red">*</font></td>
                                <td><input id="browseField" type="file" name="usersFile" size="50"/></td>
                            </tr>
                            <tr>
                                <td><fmt:message key="default.password"/><font color="red">*</font></td>
                                <td>
                                    <input type="text" name="password" style="width:150px"/>
                                    <font color="red">This password expires after 24 hours</font>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td class="buttonRow">
                        <input type="submit" class="button" value="<fmt:message key="finish"/>"/>
                    </td>
                </tr>
            </table>
        </form>
        </div>
    </div>
    <script type="text/javascript">
        alternateTableRows('internal', 'tableEvenRow', 'tableOddRow');
        alternateTableRows('external', 'tableEvenRow', 'tableOddRow');
    </script>
</fmt:bundle>